using System;
using System.Xml.Serialization;
using System.Collections.Generic;

namespace Top.Api.Response
{
    /// <summary>
    /// TbkThorMfrsPromotionQueryResponse.
    /// </summary>
    public class TbkThorMfrsPromotionQueryResponse : TopResponse
    {
        /// <summary>
        /// 异常描述
        /// </summary>
        [XmlElement("desc")]
        public string Desc { get; set; }

        /// <summary>
        /// 页码
        /// </summary>
        [XmlElement("page")]
        public string Page { get; set; }

        /// <summary>
        /// 分页大小
        /// </summary>
        [XmlElement("page_size")]
        public string PageSize { get; set; }

        /// <summary>
        /// 原商品信息
        /// </summary>
        [XmlElement("source_item")]
        public ManufacturerItemsDtoDomain SourceItem { get; set; }

        /// <summary>
        /// 请求状态码
        /// </summary>
        [XmlElement("status")]
        public string Status { get; set; }

        /// <summary>
        /// 返回h5入口地址
        /// </summary>
        [XmlElement("url")]
        public string Url { get; set; }

	/// <summary>
/// ManufacturerItemsDtoDomain Data Structure.
/// </summary>
[Serializable]

public class ManufacturerItemsDtoDomain : TopObject
{
	        /// <summary>
	        /// deeplink地址
	        /// </summary>
	        [XmlElement("click_through_by_deeplink")]
	        public string ClickThroughByDeeplink { get; set; }
	
	        /// <summary>
	        /// 跳转地址
	        /// </summary>
	        [XmlElement("click_through_by_h5")]
	        public string ClickThroughByH5 { get; set; }
	
	        /// <summary>
	        /// 点击反馈链接
	        /// </summary>
	        [XmlElement("click_tracking_url")]
	        public string ClickTrackingUrl { get; set; }
	
	        /// <summary>
	        /// 优惠券信息
	        /// </summary>
	        [XmlElement("coupon")]
	        public string Coupon { get; set; }
	
	        /// <summary>
	        /// 券地址
	        /// </summary>
	        [XmlElement("coupon_click_through_by_deeplink")]
	        public string CouponClickThroughByDeeplink { get; set; }
	
	        /// <summary>
	        /// 领取deeplink地址
	        /// </summary>
	        [XmlElement("coupon_click_through_by_h5")]
	        public string CouponClickThroughByH5 { get; set; }
	
	        /// <summary>
	        /// 是否包邮
	        /// </summary>
	        [XmlElement("free_shipment")]
	        public string FreeShipment { get; set; }
	
	        /// <summary>
	        /// 营销标签
	        /// </summary>
	        [XmlArray("icon_list")]
	        [XmlArrayItem("string")]
	        public List<string> IconList { get; set; }
	
	        /// <summary>
	        /// 商品图片地址
	        /// </summary>
	        [XmlElement("img")]
	        public string Img { get; set; }
	
	        /// <summary>
	        /// 曝光反馈地址
	        /// </summary>
	        [XmlElement("impression_tracking_url")]
	        public string ImpressionTrackingUrl { get; set; }
	
	        /// <summary>
	        /// 商品标题
	        /// </summary>
	        [XmlElement("item_title")]
	        public string ItemTitle { get; set; }
	
	        /// <summary>
	        /// 地区
	        /// </summary>
	        [XmlElement("provcity")]
	        public string Provcity { get; set; }
	
	        /// <summary>
	        /// 售价
	        /// </summary>
	        [XmlElement("sale_price")]
	        public string SalePrice { get; set; }
	
	        /// <summary>
	        /// 店铺名称
	        /// </summary>
	        [XmlElement("shop")]
	        public string Shop { get; set; }
	
	        /// <summary>
	        /// 店铺类型
	        /// </summary>
	        [XmlElement("shop_type")]
	        public string ShopType { get; set; }
	
	        /// <summary>
	        /// 30天销量
	        /// </summary>
	        [XmlElement("volume")]
	        public string Volume { get; set; }
	
	        /// <summary>
	        /// 价格
	        /// </summary>
	        [XmlElement("zk_final_price")]
	        public string ZkFinalPrice { get; set; }
}

    }
}
